Mail archive
alpine-aports

[alpine-aports] [PATCH] main/userspace-rcu: update to 0.9.2

From: Michael Jeanson <mjeanson_at_efficios.com>
Date: Thu, 26 May 2016 15:22:41 -0500

This commit brings userspace-rcu to the latest upstream
version which includes a lot of bug fixes.

The test suite was re-enabled now that the time consuming
benchmarking phase has been split in a separate make target.
---
 main/userspace-rcu/APKBUILD | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)
diff --git a/main/userspace-rcu/APKBUILD b/main/userspace-rcu/APKBUILD
index 3f13077..9016b57 100644
--- a/main/userspace-rcu/APKBUILD
+++ b/main/userspace-rcu/APKBUILD
_at_@ -1,7 +1,8 @@
+# Contributor: Michael Jeanson <mjeanson_at_efficios.com>
 # Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
 # Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
 pkgname=userspace-rcu
-pkgver=0.8.7
+pkgver=0.9.2
 pkgrel=0
 pkgdesc="A userspace RCU (read-copy-update) library"
 url="http://lttng.org/urcu/"
_at_@ -9,7 +10,7 @@ arch="all"
 license="LGPL2+"
 depends=""
 depends_dev=""
-makedepends="$depends_dev"
+makedepends="$depends_dev bash perl"
 install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://lttng.org/files/urcu/$pkgname-$pkgver.tar.bz2"
_at_@ -38,15 +39,24 @@ build() {
 		--localstatedir=/var \
 		|| return 1
 	make || return 1
-# Tests are extremly time-consuming
-#	make check || return 1
+	make check || return 1
 }
 
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
 }
 
-md5sums="7a6ee17871d31226db3f618e28351d22  userspace-rcu-0.8.7.tar.bz2"
-sha256sums="b523f22c4726ca6bb77a77d258e76d8c33c89724433bd65313024b98e55c4295  userspace-rcu-0.8.7.tar.bz2"
-sha512sums="5c75d400de3295cf493b43393e1d5742e41a6a5c5af003c3852a70caa248d4bf2930bba3917ddd02a7c1c702ffe0bce4a5105f8ab8ec3113936a231eb59e7ab1  userspace-rcu-0.8.7.tar.bz2"
+dev() {
+	default_dev
+	# Move back examples files that are wrongly included
+	# by the default dev splitfunc
+	cp -pr "$subpkgdir"/usr/share/doc/$pkgname \
+		"$pkgdir"/usr/share/doc/
+	rm -rf "$subpkgdir"/usr/share/doc/$pkgname
+}
+
+md5sums="49f86e68c1e2f41d303381a271b791d1  userspace-rcu-0.9.2.tar.bz2"
+sha256sums="8f7fa313b1e0a3f742cea24ce63a39c0efe63e615a769e2961e55bd2663ecaa3  userspace-rcu-0.9.2.tar.bz2"
+sha512sums="36264119d68569565a7b1222c4b0ca90128d121f032b388f27204ceaa9c964901f35be25584e1553b1a7613aad01d11766983ae245860df09444eb2f8ac913fc  userspace-rcu-0.9.2.tar.bz2"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu May 26 2016 - 15:22:41 GMT